# Uses of Class
org.apache.velocity.runtime.resource.Resource

Packages that use Resource
Package
Description
org.apache.velocity
org.apache.velocity.context
org.apache.velocity.runtime.directive
org.apache.velocity.runtime.resource
org.apache.velocity.runtime.resource.loader

## Uses of Resource in org.apache.velocity

Subclasses of Resource in org.apache.velocity
Modifier and Type
Class
Description
`class`
`Template`
This class is used for controlling all template operations.

## Uses of Resource in org.apache.velocity.context

Methods in org.apache.velocity.context that return Resource
Modifier and Type
Method
Description
`Resource`
ChainedInternalContextAdapter.`getCurrentResource()`
`Resource`
InternalContextAdapterImpl.`getCurrentResource()`
Methods in org.apache.velocity.context with parameters of type Resource
Modifier and Type
Method
Description
`void`
ChainedInternalContextAdapter.`setCurrentResource(Resource r)`
`void`
InternalContextAdapterImpl.`setCurrentResource(Resource r)`

## Uses of Resource in org.apache.velocity.runtime.directive

Methods in org.apache.velocity.runtime.directive that return Resource
Modifier and Type
Method
Description
`protected Resource`
Include.`getResource(String path, String encoding)`
Find the resource to include

## Uses of Resource in org.apache.velocity.runtime.resource

Subclasses of Resource in org.apache.velocity.runtime.resource
Modifier and Type
Class
Description
`class`
`ContentResource`
This class represent a general text resource that may have been retrieved from any number of possible sources.
Fields in org.apache.velocity.runtime.resource with type parameters of type Resource
Modifier and Type
Field
Description
`protected Map<Object,Resource>`
ResourceCacheImpl.`cache`
Cache storage, assumed to be thread-safe.
Methods in org.apache.velocity.runtime.resource that return Resource
Modifier and Type
Method
Description
`protected Resource`
ResourceManagerImpl.`createResource(String resourceName, int resourceType)`
Create a new Resource of the specified type.
`Resource`
ResourceCache.`get(Object resourceKey)`
retrieves a Resource from the cache
`Resource`
ResourceCacheImpl.`get(Object key)`
`static Resource`
ResourceFactory.`getResource(String resourceName, int resourceType)`
`Resource`
ResourceManager.`getResource(String resourceName, int resourceType, String encoding)`
Gets the named resource.
`Resource`
ResourceManagerImpl.`getResource(String resourceName, int resourceType, String encoding)`
Gets the named resource.
`protected Resource`
ResourceManagerImpl.`loadResource(String resourceName, int resourceType, String encoding)`
Loads a resource from the current set of resource loaders.
`Resource`
ResourceCache.`put(Object resourceKey, Resource resource)`
stores a Resource in the cache
`Resource`
ResourceCacheImpl.`put(Object key, Resource value)`
`protected Resource`
ResourceManagerImpl.`refreshResource(Resource resource, String encoding)`
Takes an existing resource, and 'refreshes' it.
`Resource`
ResourceCache.`remove(Object resourceKey)`
removes a Resource from the cache
`Resource`
ResourceCacheImpl.`remove(Object key)`
Methods in org.apache.velocity.runtime.resource with parameters of type Resource
Modifier and Type
Method
Description
`Resource`
ResourceCache.`put(Object resourceKey, Resource resource)`
stores a Resource in the cache
`Resource`
ResourceCacheImpl.`put(Object key, Resource value)`
`protected Resource`
ResourceManagerImpl.`refreshResource(Resource resource, String encoding)`
Takes an existing resource, and 'refreshes' it.

## Uses of Resource in org.apache.velocity.runtime.resource.loader

Methods in org.apache.velocity.runtime.resource.loader with parameters of type Resource
Modifier and Type
Method
Description
`long`
ClasspathResourceLoader.`getLastModified(Resource resource)`
`long`
DataSourceResourceLoader.`getLastModified(Resource resource)`
`long`
FileResourceLoader.`getLastModified(Resource resource)`
`long`
JarResourceLoader.`getLastModified(Resource resource)`
`abstract long`
ResourceLoader.`getLastModified(Resource resource)`
Get the last modified time of the InputStream source that was used to create the template.
`long`
StringResourceLoader.`getLastModified(Resource resource)`
`long`
URLResourceLoader.`getLastModified(Resource resource)`
Checks to see when a resource was last modified
`boolean`
ClasspathResourceLoader.`isSourceModified(Resource resource)`
`boolean`
DataSourceResourceLoader.`isSourceModified(Resource resource)`
`boolean`
FileResourceLoader.`isSourceModified(Resource resource)`
How to keep track of all the modified times across the paths.
`boolean`
JarResourceLoader.`isSourceModified(Resource resource)`
`abstract boolean`
ResourceLoader.`isSourceModified(Resource resource)`
Given a template, check to see if the source of InputStream has been modified.
`boolean`
StringResourceLoader.`isSourceModified(Resource resource)`
`boolean`
URLResourceLoader.`isSourceModified(Resource resource)`
Checks to see if a resource has been deleted, moved or modified.